# key_defined 3x 2024-06-08 ncurses 6.5 Library calls

    key_defined(3x)                  Library calls                 key_defined(3x)

## NAME

           key_defined - test whether a curses function key code is defined

## SYNOPSIS

           #include <curses.h>

           int key_defined(const char * definition);

## DESCRIPTION

           The  key_defined  ncurses  extension  permits  a  curses application to
           determine the function key code, if any, to which the string definition
           is bound.

## RETURN VALUE

           key_defined  returns the first key code to which definition is bound if
           any exists.  If none does, it returns 0.  If definition is a prefix  of
           another binding, key_defined returns -1.

## EXTENSIONS

           define_key is an ncurses extension.

## PORTABILITY

           Applications employing ncurses extensions should condition their use on
           the visibility of the NCURSES_VERSION preprocessor macro.

## AUTHORS

           Thomas Dickey

## SEE ALSO

           curses(3x), define_key(3x), keybound(3x), keyok(3x)

    ncurses 6.5                       2024-06-08                   key_defined(3x)